Quick start

Before you can start writing an actix application, you’ll need a version of Rust installed. We recommend you use rustup to install or configure such a version.

Install Rust

Before we begin, we need to install Rust using the rustup installer:

curl https://sh.rustup.rs -sSf | sh

If you already have rustup installed, run this command to ensure you have the latest version of Rust:

rustup update

The actix framework requires rust version 1.21 and up.

Running Examples

The fastest way to start experimenting with actix is to clone the actix repository and run the included examples in the examples/ directory. The following set of commands runs the ping example:

git clone https://github.com/actix/actix
cargo run --example ping

Check examples/ directory for more examples.